Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:43 2009

## Asterisk developer's documentation

# localuser Struct Reference

We define a custom "local user" structure because we use it not only for keeping track of what is in use but also for keeping track of who we're dialing. More...

Collaboration diagram for localuser:

[legend]

## Data Fields

struct ast_channel * | chan
unsigned int | flags
int | forwards
char | interface [256]
time_t | lastcall
struct member * | member
int | metric
struct localuser * | next
int | oldstatus
int | stillgoing

## Detailed Description

We define a custom "local user" structure because we use it not only for keeping track of what is in use but also for keeping track of who we're dialing.

Definition at line 270 of file app_dial.c.

## Field Documentation

struct ast_channel * chan`[read]`

Definition at line 271 of file app_dial.c.

Referenced by app_exec(), dial_exec_full(), gen_closestream(), gen_nextfile(), hangupcalls(), hanguptree(), ring_entry(), ring_one(), store_next(), try_calling(), and wait_for_answer().

unsigned int flags

Definition at line 272 of file app_dial.c.

Referenced by ices_exec().

int forwards

Definition at line 273 of file app_dial.c.

Referenced by wait_for_answer().

char interface[256]

Definition at line 262 of file app_queue.c.

Referenced by ring_entry(), ring_one(), and store_next().

time_t lastcall

Definition at line 266 of file app_queue.c.

Referenced by ring_entry().

struct member* member`[read]`

Definition at line 267 of file app_queue.c.

Referenced by ring_entry(), try_calling(), and wait_for_answer().

int metric

Definition at line 264 of file app_queue.c.

Referenced by calc_metric(), ring_one(), and store_next().

struct localuser * next`[read]`

Definition at line 274 of file app_dial.c.

Referenced by hangupcalls(), hanguptree(), ring_one(), store_next(), and wait_for_answer().

int oldstatus

Definition at line 265 of file app_queue.c.

Referenced by ring_entry(), and wait_for_answer().

int stillgoing

Definition at line 263 of file app_queue.c.

Referenced by ring_entry(), ring_one(), store_next(), and wait_for_answer().

The documentation for this struct was generated from the following files:

- app_dial.c
- app_externalivr.c
- app_queue.c